<?php
get_header();
?>
<div id="main">
	<h1 class = "heading">Archive for:  
	<?php if ( is_day() ) {  
	echo get_the_date();
	} elseif ( is_month() ) { 
	echo get_the_date( _x( 'F Y', 'monthly archives date format', 'healthywp' ) );
	} elseif ( is_year() ) {
	echo get_the_date( _x( 'Y', 'yearly archives date format', 'healthywp' ) );} ?>
	</h1>
	<div id ="archives">
	<?php
	if ( have_posts() ) : ?>

	<?php while ( have_posts() ) : the_post(); ?>
		<article>
		<h2><a href = "<?php the_permalink(); ?>" title = "<?php the_title() ?>"><?php the_title(); ?></a></h2>
		<?php 
		if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
		the_post_thumbnail('archive-thumb'); } 
		the_excerpt(); ?>
		</article>
	<?php endwhile; ?>

	<?php healthywp_pagination(); ?>
	<?php get_search_form(); ?>
	<?php else : ?>

			<?php _e('Nothing found. Please try again or use the search form to find what you need.', 'healthywp'); ?>
			
	<?php endif; ?>

	</div><!--#archives div end -->
</div><!--#main div end -->
<?php
get_sidebar();
get_footer(); 
?>